#(32/64)bit

Name:           qsopcast
Version:        0.3.8.1
Release:        %mkrel 1

Summary:        QT GUI front-end of sopcast
URL:		    http://code.google.com/p/qsopcast/
License:        GPL
Group:          Networking/Other
Source:         http://qsopcast.googlecode.com/files/%name-%version-qt4.tar.xz
Source2:	    %name-icons.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	qt4-devel libalsa-devel pkgconfig desktop-file-utils
Requires:       qt4-common alsa sp-auth >= 3.2.6


%description
qsopcast is a QT GUI front-end of the Linux command line executive of P2P TV sopcast.


%prep
%setup -q -n %name-%version-qt4
unxz -c %SOURCE2 | tar xf - -C src 




%build
export PATH=%qt4dir/bin:$PATH

cd src
%ifarch x86_64
/usr/lib64/qt4/bin/qmake
%else
/usr/lib/qt4/bin/qmake
%endif
lrelease %name.pro
%make


%install
%__rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%_bindir/
install -m 755 src/%{name} $RPM_BUILD_ROOT%_bindir/


install -dm 755 $RPM_BUILD_ROOT%_iconsdir/
install -m 755 src/icons/mozart.xpm $RPM_BUILD_ROOT%_iconsdir/
cp -af src/icons/hicolor $RPM_BUILD_ROOT%_iconsdir/

install -dm 755 $RPM_BUILD_ROOT%_datadir/apps/%{name}
install -m 755 src/language/*.qm $RPM_BUILD_ROOT%_datadir/apps/%{name}

# desktop file
%__mkdir_p $RPM_BUILD_ROOT%_datadir/applications
cat > $RPM_BUILD_ROOT%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Name=qsopcast
Name[zh_CN]=网络电视
Comment[zh_CN]=P2P的网络电视
Comment=P2P Online TV SOPCast
Exec=qsopcast
Icon=qsopcast
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;AudioVideo;Network;P2P;TV;
EOF

desktop-file-install --vendor ""\
 --add-category "X-MandrivaLinux-Internet-Other"\
 --dir $RPM_BUILD_ROOT%_datadir/applications\
 $RPM_BUILD_ROOT%_datadir/applications/%name.desktop


%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor


%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/qsopcast
%_iconsdir/mozart.xpm
%_iconsdir/hicolor/*/apps/%name.png
%_datadir/apps/qsopcast/*.qm
%_datadir/applications/%name.desktop

%changelog
* Tue Feb 11 2014 Ken <lxgator at gmail.com> 0.3.8.1-1pclos2014
- update > 0.3.8.1

* Wed Aug 20 2008 Stumpy842 <stump842@gmail.com> 0.3.5-1pclos2007
- Import for PCLOS
